/* Card Image */
.card-img-top {
  object-fit: cover;
  height: 200px;
  /* Set a consistent height for all images */
}

/* Card Container */
.card {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  /* Make cards uniform in height */
}

/* Card Body */
.card-body {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
}

/* Card Title */
.card-title {
  font-size: 14px;
  margin-bottom: 8px;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
}

/* Product Description */
.card-text {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  /* Limit description to 3 lines */
  max-height: 4.5rem;
  /* Consistent height for description */
  margin-bottom: auto;
}

/* Add to Cart Button */
.btn-add {
  margin-top: auto;
  /* Push the button to the bottom of the card */
}